<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #texto {
            width: 80%;
        }
    </style>
</head>

<body>
    <div class="container text-center">
        <p>Escribe un texto, al presionar Continuar el cuadro se limpiara y el texto se almacenara, al precionar
            Finalizar se
            mostraran todos los textos guardados separados por un guin dentro de un div.</p>
        <div>
            <p>Texto: <input type="text" id="texto"></p>
        </div>
        <div>
            <button class="boton" id="continuar">Continuar</button>
            <button class="boton" id="fin">Finalizar</button>
        </div>
        <div id="resultado"></div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        let texto = [];
        $('#continuar').click(function () {
            texto.push($('#texto').val());
            $('#texto').val('');
        });
        $('#fin').click(function () {
            if ($('#texto').val()) {
                texto.push($('#texto').val());
            }
            $('#texto').val('');
            $('#resultado').html(texto.join(" - "));
        });
    </script>
</body>

</html>